<bugID>1391393<Summary>Canceling Properties of bookmark dialog makes undoing previous editing</Summary><Description>@Mupasa reported, see http://forums.mozillazine.org/viewtopic.php?p=14761724#p14761724

Reproducible: always

Steps To Reproduce:
1. Delete, Add or Edit any bookmarks
2. Right click on any bookmarks and choose Properties
3. Cancel the dialog

Actual Results:
The previously edited bookmarks are unexpectedly undone.

Expected Results:
Do nothing


Regression window:
https://hg.mozilla.org/integration/autoland/pushloghtml?fromchange=0da00124af43d44fed96133300ba5e32b0d821a8&amp;tochange=0a4690dfd7b383e2f732210cf8906ce51a5b2433

Regressed by:0a4690dfd7b3	Mark Banner &#8212; Bug 1071513 - Enable async PlacesTransactions for nightly builds. r=mak</Description></bugID>